Bug 802047 - [FEAT] need a counter of iobuf_get misses
[FEAT] need a counter of iobuf_get misses
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: logging (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-10 09:33 EST by Amar Tumballi
Modified: 2013-12-18 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:40:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2012-03-10 09:33:50 EST
Description of problem:
iobuf_get2(); can return NULL if the sizes requested are higher than the available ones. Currently, even though there is a log to see that failures are happening, there is no counter about how many requests are getting failed. This counter can help to see for a given workload, what are the higher sizes required for iobuf.

Version-Release number of selected component (if applicable): Master branch
Comment 1 Anand Avati 2012-03-12 08:32:14 EDT
CHANGE: http://review.gluster.com/2913 (iobuf: add a counter to keep track of request misses) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Amar Tumballi 2012-05-18 06:34:23 EDT
statedump output has details now

Note You need to log in before you can comment on or make changes to this bug.